Public Member Functions | Data Fields

# TileLayoutSpriteGroup Struct Reference

Action 2 sprite layout for houses, industry tiles, objects and airport tiles. More...

`#include <newgrf_spritegroup.h>`

Inheritance diagram for TileLayoutSpriteGroup:

## Public Member Functions
const DrawTileSprites * | ProcessRegisters (uint8 *stage) const
| Process registers and the construction stage into the sprite layout.
## Data Fields
NewGRFSpriteLayout | dts

## Detailed Description

Action 2 sprite layout for houses, industry tiles, objects and airport tiles.

Definition at line 264 of file newgrf_spritegroup.h.

## Member Function Documentation

const DrawTileSprites * TileLayoutSpriteGroup::ProcessRegisters | ( | uint8 * | stage | ) | const

Process registers and the construction stage into the sprite layout.

The passed construction stage might get reset to zero, if it gets incorporated into the layout during the preprocessing.

Parameters:

  `[in,out]` | stage | Construction stage (0-3), or NULL if not applicable.

Returns:
  sprite layout to draw.

Definition at line 341 of file newgrf_spritegroup.cpp.

References NewGRFSpriteLayout::consistent_max_offset, GetConstructionStageOffset(), NewGRFSpriteLayout::GetLayout(), DrawTileSprites::ground, NewGRFSpriteLayout::NeedsPreprocessing(), NewGRFSpriteLayout::PrepareLayout(), NewGRFSpriteLayout::ProcessRegisters(), and DrawTileSprites::seq.

Referenced by DrawTileLayout().

The documentation for this struct was generated from the following files:

- src/newgrf_spritegroup.h
- src/newgrf_spritegroup.cpp